classification
Title: Use CPython instead of Python when talking about implementation details
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, gvanrossum, miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2018-06-17 18:13 by adelfino, last changed 2018-07-08 00:25 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7767 merged adelfino, 2018-06-17 18:15
PR 8180 merged miss-islington, 2018-07-07 23:27
PR 8181 merged miss-islington, 2018-07-07 23:28
PR 8182 merged miss-islington, 2018-07-07 23:29
Messages (6)
msg319825 - (view) Author: Andrés Delfino (adelfino) * (Python triager) Date: 2018-06-17 18:13
The FAQ talks about list and dictionary implementation details using "Python". I believe this should be changed to CPython.
msg321245 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-07-07 23:25
New changeset 8d41278045ee4e8bf1cadb58a7db58d70ad55237 by Terry Jan Reedy (Andrés Delfino) in branch 'master':
bpo-33888: Use CPython instead of Python in the FAQ (GH-7767)
https://github.com/python/cpython/commit/8d41278045ee4e8bf1cadb58a7db58d70ad55237
msg321246 - (view) Author: miss-islington (miss-islington) Date: 2018-07-07 23:33
New changeset 3a98ddd136275ef944aa4387c964fc0c5adf6fab by Miss Islington (bot) in branch '2.7':
bpo-33888: Use CPython instead of Python in the FAQ (GH-7767)
https://github.com/python/cpython/commit/3a98ddd136275ef944aa4387c964fc0c5adf6fab
msg321247 - (view) Author: miss-islington (miss-islington) Date: 2018-07-07 23:42
New changeset 21fe81c1fea1bca6b500550b5895e9ebcb3ebba6 by Miss Islington (bot) in branch '3.7':
bpo-33888: Use CPython instead of Python in the FAQ (GH-7767)
https://github.com/python/cpython/commit/21fe81c1fea1bca6b500550b5895e9ebcb3ebba6
msg321248 - (view) Author: miss-islington (miss-islington) Date: 2018-07-07 23:50
New changeset b7874c809cbead0eb07554b61efe7823238c8bd9 by Miss Islington (bot) in branch '3.6':
bpo-33888: Use CPython instead of Python in the FAQ (GH-7767)
https://github.com/python/cpython/commit/b7874c809cbead0eb07554b61efe7823238c8bd9
msg321249 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-07-08 00:25
Merged with Guido's approval on the PR.  Thanks.
History
Date User Action Args
2018-07-08 00:25:16terry.reedysetstatus: open -> closed
type: behavior
messages: + msg321249

resolution: fixed
stage: patch review -> resolved
2018-07-07 23:50:35miss-islingtonsetmessages: + msg321248
2018-07-07 23:42:35miss-islingtonsetmessages: + msg321247
2018-07-07 23:33:00miss-islingtonsetnosy: + miss-islington
messages: + msg321246
2018-07-07 23:29:00miss-islingtonsetpull_requests: + pull_request7737
2018-07-07 23:28:01miss-islingtonsetpull_requests: + pull_request7736
2018-07-07 23:27:00miss-islingtonsetpull_requests: + pull_request7735
2018-07-07 23:25:50terry.reedysetnosy: + terry.reedy
messages: + msg321245
2018-07-07 19:08:23serhiy.storchakasetnosy: + gvanrossum
2018-06-17 18:15:21adelfinosetkeywords: + patch
stage: patch review
pull_requests: + pull_request7375
2018-06-17 18:13:18adelfinocreate